﻿using System;

namespace Neo4RestNet.Core
{
  /// <summary>
  /// General exception for neo
  /// </summary>
  public class GraphDbException : Exception
  {
    public GraphDbException(string message)
      : base(message)
    {      
    }

    public GraphDbException(string message, Exception innerException)
      : base(message, innerException)
    {      
    }
  }

  public class NotFoundException : GraphDbException
  {  
    public NotFoundException(string message)
      : base(message)
    {      
    }

    public NotFoundException(string  message, Exception innerException)
      : base(message, innerException)
    {      
    }
  }
}