using System;
using System.Linq.Expressions;

namespace Neo4RestNet.ExpressionParser
{
  public class StringReferenceResolver : IReferenceResolver
  {
    public string GetMemberName(MemberExpression memberExpression)
    {
      throw new NotImplementedException();
    }

    public string GetMethodName(MethodCallExpression methodCallExpression)
    {
      var methodName = methodCallExpression.Method.Name;
      switch (methodName)
      {
        case "ToLower":
          return "toLowerCase";
        case "ToUpper":
          return "toUpperCase";
      }
      throw new Exception(string.Format("Method {0} on string object could not be converted to js", methodName));
    }
  }
}