﻿using Neo4RestNet.Core;
using Newtonsoft.Json.Linq;

namespace Neo4RestNet.Rest.Encoders
{
  internal class PropertyContainerEncoder
  {
    public string Encode(IPropertyContainer propertyContainer)
    {
      var jsonContainer = new JObject();
      foreach (var key in propertyContainer.GetPropertyKeys())
      {
        jsonContainer.Add(key, JToken.FromObject(propertyContainer.GetProperty<object>(key)));
      }
      return jsonContainer.ToString();
    }
  }
}
