using Neo4RestNet.Core;
using Neo4RestNet.Rest;

namespace Neo4RestNet.ObjectMapping
{
  public class RestNodeReference : INodeReference
  {
    private readonly string _self;

    public RestNodeReference(string self)
    {
      _self = self;
    }

    public INode GetNode()
    {
      return new RestNode(_self);
    }
  }
}