﻿using Newtonsoft.Json.Linq;

namespace Neo4RestNet.Rest.Traverser
{
  public class MaxDepthBuilder
  {
    private readonly int _maxDepth;

    public MaxDepthBuilder(int maxDepth)
    {
      _maxDepth = maxDepth;
    }

    public string Build()
    {
      return new JProperty("max depth", JToken.FromObject(_maxDepth)).ToString();
    }
  }
}
